pub use std::time::{SystemTime,UNIX_EPOCH};
use libdit::libdit::Dit;
use std::str::FromStr;
pub use libdit::libdit::unix_to_dit_string;
pub use libstardit::libstardit::unix_to_stardit;

fn main() {
    /*
	let code: &str = &r"0.12.34";
    match Dit::from_str(code) {
        Ok(dit) => {
            println!(
                r"Dit: deca: {} decim: {} desec: {}",
                dit.deca, dit.decim, dit.desec
            );
        }
        Err(_) => {
            println!("{} is not a valid DIT!", code);
        }
    }
*/
	let current_timestamp = SystemTime::now()
		.duration_since(UNIX_EPOCH)
		.unwrap()
		.as_secs_f64();

	let stardit = unix_to_stardit(current_timestamp);

	println!("{}\n{}, décade {}, {}", unix_to_dit_string(current_timestamp), stardit.year, stardit.weekade, stardit.day_name);
}
